Bug 259501 - games/typespeed: Fix link error on FreeBSD 14/14, Remove BROKEN
Summary: games/typespeed: Fix link error on FreeBSD 14/14, Remove BROKEN
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yasuhiro Kimura
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2021-10-28 11:37 UTC by Martin Birgmeier
Modified: 2021-11-17 01:33 UTC (History)
1 user (show)

See Also:
yasu: merge-quarterly+


Attachments
patch to unbreak the typespeed port (2.17 KB, patch)
2021-10-28 11:37 UTC, Martin Birgmeier
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Birgmeier 2021-10-28 11:37:15 UTC
Created attachment 229093 [details]
patch to unbreak the typespeed port

Scenario:
- FreeBSD releng/13.0
- latest ports
- using "portmaster games/typespeed"

Result:
- fails because port is marked broken on FreeBSD 13 (and 14)

Expected result:
- Apply the attached patch and unbreak the port.

-- Martin
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-10-30 00:02:41 UTC
^Triage: [tags] in issue Titles are deprecated

Thank you for the report and patch Martin
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2021-10-30 00:03:34 UTC
Comment on attachment 229093 [details]
patch to unbreak the typespeed port

Pending QA:

Approved by: portmgr (blanket: unmaintained port)
Approved by: portmgr (blanket: build fix)
MFH: 2020Q4
Comment 3 Yasuhiro Kimura freebsd_committer 2021-11-17 01:21:12 UTC
Take.
Comment 4 commit-hook freebsd_committer 2021-11-17 01:29:55 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=679cfe51e8b2e8a2c10e0e589bc9d53cdee8f6d8

commit 679cfe51e8b2e8a2c10e0e589bc9d53cdee8f6d8
Author:     Martin Birgmeier <d8zNeCFG@aon.at>
AuthorDate: 2021-10-28 11:37:15 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-11-17 01:29:25 +0000

    games/typespeed: Fix link error on FreeBSD 13 or later (-fno-common)

    PR:             259501
    MFH:            2021Q4

 games/typespeed/Makefile                          |  5 +--
 games/typespeed/files/patch-src-typespeed.c (new) | 15 ++++++++
 games/typespeed/files/patch-src-typespeed.h (new) | 47 +++++++++++++++++++++++
 3 files changed, 63 insertions(+), 4 deletions(-)
Comment 5 commit-hook freebsd_committer 2021-11-17 01:31:56 UTC
A commit in branch 2021Q4 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=82cc2e784f628185aff29e0e1165e6a3c0414973

commit 82cc2e784f628185aff29e0e1165e6a3c0414973
Author:     Martin Birgmeier <d8zNeCFG@aon.at>
AuthorDate: 2021-10-28 11:37:15 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-11-17 01:31:13 +0000

    games/typespeed: Fix link error on FreeBSD 13 or later (-fno-common)

    PR:             259501
    MFH:            2021Q4
    (cherry picked from commit 679cfe51e8b2e8a2c10e0e589bc9d53cdee8f6d8)

 games/typespeed/Makefile                          |  5 +--
 games/typespeed/files/patch-src-typespeed.c (new) | 15 ++++++++
 games/typespeed/files/patch-src-typespeed.h (new) | 47 +++++++++++++++++++++++
 3 files changed, 63 insertions(+), 4 deletions(-)
Comment 6 Yasuhiro Kimura freebsd_committer 2021-11-17 01:33:59 UTC
Committed and merged to quarterly branch. Thanks!